-- name: [PET] Galoomba & Goombud
-- description: The Galoomba from SMW and the Goombud from SMM2 are now pets!

if not _G.wpets then return end

local E_MODEL_GALOOMBA = smlua_model_util_get_id("galoomba_geo")
local E_MODEL_GOOMBUD = smlua_model_util_get_id("goombud_geo")

local ID_GALOOMBA = _G.wpets.add_pet({
    name = "Galoomba & Goombud", credit = "Kaktus64 & ManIsSaul",
    description = "The Galoomba from SMW and the Goombud from SMM2 are now pets!",
    modelID = E_MODEL_GALOOMBA,
    scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_GALOOMBA)

_G.wpets.set_pet_sounds(ID_GALOOMBA, {
    spawn = SOUND_OBJ_GOOMBA_ALERT,
    happy = SOUND_OBJ_GOOMBA_ALERT,
    vanish = nil,
    step = SOUND_OBJ_GOOMBA_WALK
})

_G.wpets.add_pet_alt(ID_GALOOMBA, E_MODEL_GOOMBUD)